Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Interface DHTMLDataInfo

    public interface DHTMLDataInfo

DHTML APIs provide APIs for users. With DHTML APIs, users can easily embed the DHTML pages or components into their own JSPs. All the methods in this interface can be invoked by remote server (RMI).

Support the running of multiple report sets in one session, and a report set can include one or more reports.

Descriptions of some key terms:

sessionId: the key for the session in the server (generated by the server automatically when you log in), and users can invoke DHTMLUtil.getSessionID(HttpServletRequest request) to get the key.

rptSetId: the key for the report set in DHTML (generated automatically after the report set has been run), and users can invoke DHTMLUtil.getRptSetId(HttpServletRequest request) to get the key.

rptName: the key for the report in DHTML (retrieved from the report set after the report set has been run), and users can invoke DHTMLUtil.getRptName(HttpServletRequest request) to get the key.

Note of using this DHTML API:

You must follow a certain order for the method which use the parameters "sessionId", "rptSetId" and "rptName" in dhtml.jsp. For example: getSortColumns(String sessionId, String rptSetId, String rptName, String subRptKey, String comName, boolean isDateSet) must be called after the code "Map tmpmap = DHTMLUtil.runReport(request, params);", because the parameters are offered after the report set has been run. If the wrong order is used, a jsp error will be generated. And there is no specified order for the other api methods that do not use the parameters.

Method Summary
`java.lang.String[]` | `getAllAvailableBLColNamesForRsd(java.lang.String RptSetId, java.lang.String RptName, java.lang.String engineKey, java.lang.String dataSetName)` Gets all available BLColumns' names when running DHTML result.
`java.lang.String[]` | `getBusinessCubeNames(java.lang.String rptSetId, java.lang.String engineKeyword)` Deprecated. Gets the names of business cube tree.
`chart.ChartDefinition` | `getChartDefinition(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName)` Gets the chart definition.
`java.util.Map` | `getChartDefinitionInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName)` Gets the chart definition information.
`java.util.Vector` | `getChartGroupInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName)` Gets the chart group information.
`java.lang.String[][]` | `getColNamesForConditionFormat(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName)` Gets all columns' mapping names and display names for Condition Format.
`int` | `getComponentColumnValues(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName, java.lang.String column, int index, int size, java.util.List result)` Gets the specify values of components column.
`java.util.List` | `getComponentDisplayAndRealValues(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName, java.lang.String column, int index, int size, java.lang.String displayFormat, java.util.Locale locale, boolean isCurrent)` Gets the value list that includes display values and real values in the specified component. Can be used to show the column values -- the column values in filter more value dialog, etc. And carry out the value page function.
`java.lang.String` | `getComponentTypeByInstName(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String compName)` Gets the component type string.
`java.lang.String[]` | `getCrossTabDimensionInstName(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName)` Gets the crosstab CTHdDbFileld instance name.
`int` | `getDatasetColumnValues(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String datasetName, java.lang.String column, int index, int size, java.util.List result)` Gets the specified values of datasets column.
`int` | `getDatasetDisplayAndRealValues(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String datasetName, java.lang.String column, int index, int size, java.util.List result, java.lang.String displayFormat, java.util.Locale locale)` Gets the value list that includes the display values and the real values in the specified dataset.
`java.lang.String` | `getDataSetName(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName)` Gets the dataset's name of the specified component.
`java.lang.String[]` | `getDetailReportDataSourceNames(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid)` Gets the data sources' names which are used in the detail report.
`java.util.Vector` | `getDisplayAndRealValueByInpput(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName, java.lang.String column, java.lang.String displayFormat, java.lang.String inputFormat, java.lang.String inputValue, java.util.Locale locale, boolean isDataSet, boolean isMulti)` Gets the display value by a string value user input. Such as the input value is 1,234,567.89, the real value should be 1234567.89, the display value is $1,234,567.89.
`java.lang.String` | `getDisplayNameByInstName(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String compName)` Gets the display name by the instance name.
`java.lang.String` | `getDisplayPattern(int sqlType, java.util.Locale locale)` Gets the display pattern of the specified sql type column.
`java.lang.String` | `getDisplayPattern(java.lang.String userName, int sqlType, java.util.Locale locale)` Gets the display pattern of the specified sql type column with the specified user.
`java.lang.String` | `getDisplayPattern(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName, java.lang.String column, boolean isDataSet, java.util.Locale locale)` Gets the display pattern of the specified column. Such as the total in database is 1234567.89, user wants to see 1,234,567.89. And the display pattern is defined in the related DBField in the report; or user sets.
`java.lang.String` | `getDisplayPattern(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String component, java.lang.String column, java.util.Locale locale)` Gets the display pattern of the specified column. Such as the total in database is 1234567.89, but user wants to see 1,234,567.89. And the display pattern is defined in the related DBField in the report; or user sets.
`java.lang.String` | `getDisplayValueByReal(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName, java.lang.String column, java.lang.String displayFormat, java.lang.String realValue, java.util.Locale locale, boolean isDataSet)` Gets the display value by real value with the specified display pattern. Such as the real value is 1234567.89, user wants to see 1,234,567.89.
`java.util.Vector<jet.web.dhtml.DHTMLDrillFilterInfo>` | `getDrillFilter(java.lang.String RptSetId, java.lang.String RptName, java.lang.String subRptKey, java.lang.String comName)` Gets the component's drill filter.
`java.lang.String` | `getFilterableElement(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String comName, java.lang.String bindcolumn, java.lang.String dsid)` Gets the filter select with the specified column name. The bindcolumn is defined by the "Bind Column" property of the label.
`java.lang.String[][]` | `getFilterColumns(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName, boolean isDateSet)` Gets all columns' mapping names and display names for filter action.
`java.lang.String[]` | `getFilterComponents(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey)` Gets all components' names for filter action.
`java.util.Vector` | `getFilterConditions(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName, boolean isDataset)` Gets the filter conditions.
`java.lang.String[]` | `getFilterDataSets(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey)` Gets all datasets' names for filter action.
`java.lang.String` | `getInputPattern(int sqlType, java.util.Locale locale)` Gets the input pattern of the specified sql type column.
`java.lang.String` | `getInputPattern(java.lang.String userName, int sqlType, java.util.Locale locale)` Gets the input pattern of the specified sql type column with the specified user.
`java.lang.String` | `getInputPattern(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName, java.lang.String column, boolean isDataSet, java.util.Locale locale)` Gets the input pattern of the specified column. Such as the total which user wants to input 1,234,567.89, in database is 1234567.89.
`java.lang.String` | `getInputPattern(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String component, java.lang.String column, java.util.Locale locale)` Gets the input pattern of the specified column. Such as the total in database is 1234567.89, but user wants to input 1,234,567.89.
`java.util.List` | `getLinkPathInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the report link path information.
`java.lang.String[]` | `getResetComponents(java.lang.String rptSetId, java.lang.String rptName)` Gets all components' names for reset action.
`java.lang.String[][]` | `getSortColumns(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName, boolean isDateSet)` Gets all columns' mapping names and display names for sort action.
`java.lang.String[]` | `getSortComponents(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey)` Gets all components' names for sort action.
`java.lang.String[][]` | `getSortConditions(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName)` Gets the sort conditions.
`java.lang.String[]` | `getSortDataSets(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey)` Gets all datasets' names for sort action.
`java.lang.String` | `getTopNCompName(java.lang.String dsid, java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the data container name of the specified element.
`int` | `getTopNType(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String comName)` Gets the topN type of the specified component.
`void` | `setDisplayPattern(int sqlType, java.lang.String pattern, java.util.Locale locale)` Sets the display pattern of the specified sql type column. Such as the total in database is 1234567.89, but user wants to see 1,234,567.89. Then user should setDisplayPattern(SQL_FLOAT, "#,###,###.##", China);
`void` | `setDisplayPattern(java.lang.String userName, int sqlType, java.lang.String pattern, java.util.Locale locale)` Sets the display pattern of the specified sql type column with the specified user. Such as the total in database is 1234567.89, but user wants to see 1,234,567.89. Then user should setDisplayPattern("admin", SQL_FLOAT, "#,###,###.##", China);
`void` | `setDisplayPattern(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String component, java.lang.String column, java.lang.String pattern, java.util.Locale locale)` Sets the display pattern of the specified column. Such as the total in database is 1234567.89, but user wants to see 1,234,567.89.
`void` | `setInputPattern(int sqlType, java.lang.String pattern, java.util.Locale locale)` Sets the input pattern of the specified sql type column. Such as the total in database is 1234567.89, but user wants to input 1,234,567.89. Then user should setInputPattern(SQL_FLOAT, "#,###,###.##", China);
`void` | `setInputPattern(java.lang.String userName, int sqlType, java.lang.String pattern, java.util.Locale locale)` Sets the input pattern of the specified sql type column with the specified user. Such as the total in database is 1234567.89, but user wants to input 1,234,567.89. Then user should setInputPattern("admin", SQL_FLOAT, "#,###,###.##", China);
`void` | `setInputPattern(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String component, java.lang.String column, java.lang.String pattern, java.util.Locale locale)` Sets the input pattern of the specified column. Such as the total in database is 1234567.89, but user wants to input 1,234,567.89.

Method Detail

### getSortColumns

    java.lang.String[][] getSortColumns(java.lang.String sessionId,
                                        java.lang.String rptSetId,
                                        java.lang.String rptName,
                                        java.lang.String subRptKey,
                                        java.lang.String comName,
                                        boolean isDateSet)
                                        throws jet.rptservice.api.exception.JRScheduleException

  Gets all columns' mapping names and display names for sort action.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - the dataset name or the component name.
    `isDateSet` - if comName is dataset name then it is true, otherwise false.
  Returns:
    all sort columns' names.
    For example [["mappingName1","dispalyName1"],["mappingName2","dispalyName2"]]. The first is mapping name; the second is display name.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getFilterColumns

    java.lang.String[][] getFilterColumns(java.lang.String sessionId,
                                          java.lang.String rptSetId,
                                          java.lang.String rptName,
                                          java.lang.String subRptKey,
                                          java.lang.String comName,
                                          boolean isDateSet)
                                          throws jet.rptservice.api.exception.JRScheduleException

  Gets all columns' mapping names and display names for filter action.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - the dataset name or the component name.
    `isDateSet` - if comName is dataset name then it is true, otherwise false.
  Returns:
    all filter columns' names.
    For example [["mappingName1","displayName1"],["mappingName2","displayName2"]]. The first is mapping name; the second is display name.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getSortComponents

    java.lang.String[] getSortComponents(java.lang.String rptSetId,
                                         java.lang.String rptName,
                                         java.lang.String subRptKey)
                                         throws jet.rptservice.api.exception.JRScheduleException

  Gets all components' names for sort action.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
  Returns:
    all components' names. Includes banded object(s), group panel(s), table(s) in the report.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getFilterComponents

    java.lang.String[] getFilterComponents(java.lang.String rptSetId,
                                           java.lang.String rptName,
                                           java.lang.String subRptKey)
                                           throws jet.rptservice.api.exception.JRScheduleException

  Gets all components' names for filter action.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
  Returns:
    all components' names. Includes banded object(s), table(s) in the report.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getBusinessCubeNames

    java.lang.String[] getBusinessCubeNames(java.lang.String rptSetId,
                                            java.lang.String engineKeyword)

  Deprecated. Gets the names of business cube tree.

  Parameters:
    `rptSetId` - the report set id.
    `subRptKey` - the key of the engine.
  Returns:
    the names of business cube tree.

### getColNamesForConditionFormat

    java.lang.String[][] getColNamesForConditionFormat(java.lang.String rptSetId,
                                                       java.lang.String rptName,
                                                       java.lang.String subRptKey,
                                                       java.lang.String comName)
                                                       throws jet.rptservice.api.exception.JRScheduleException

  Gets all columns' mapping names and display names for Condition Format.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - the component name.
  Returns:
    all columns' names.
    For example [["mappingName1","dispalyName1"],["mappingName2","dispalyName2"]]. The first is mapping name; the second is display name.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getSortDataSets

    java.lang.String[] getSortDataSets(java.lang.String rptSetId,
                                       java.lang.String rptName,
                                       java.lang.String subRptKey)

  Gets all datasets' names for sort action.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
  Returns:
    all DataSets' names. Not published.

### getFilterDataSets

    java.lang.String[] getFilterDataSets(java.lang.String rptSetId,
                                         java.lang.String rptName,
                                         java.lang.String subRptKey)

  Gets all datasets' names for filter action.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
  Returns:
    all Datasets' names. Not publish.

### getDatasetColumnValues

    int getDatasetColumnValues(java.lang.String sessionId,
                               java.lang.String rptSetId,
                               java.lang.String rptName,
                               java.lang.String subRptKey,
                               java.lang.String datasetName,
                               java.lang.String column,
                               int index,
                               int size,
                               java.util.List result)

  Gets the specified values of datasets column.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `datasetName` - the dataset name.
    `column` - the column mapping name.
    `index` - the beginning index, inclusive.
    `size` - get values' length.
    `result` - use must new a vector then return result it will change.
  Returns:
    real value index. Always 0.
    -1: failed
    if index != 0 but it return 0 That means the value has updated
    if index != 0 but it return value < index that means the index is out of Range, return some of the last values.

### getComponentColumnValues

    int getComponentColumnValues(java.lang.String sessionId,
                                 java.lang.String rptSetId,
                                 java.lang.String rptName,
                                 java.lang.String subRptKey,
                                 java.lang.String comName,
                                 java.lang.String column,
                                 int index,
                                 int size,
                                 java.util.List result)

  Gets the specify values of components column.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `comName` - the component name
    `column` - the column mapping name.
    `index` - the beginning index, inclusive.
    `size` - will get how many values.
    `result` - use must new a vector then return result it will change.
  Returns:
    real value index. Always 0.
    -1: is failed
    if index !=0 but it return 0 That is values has updated
    if index !=0 but it return value < index that the index outRange.return last some values.

### getDatasetDisplayAndRealValues

    int getDatasetDisplayAndRealValues(java.lang.String sessionId,
                                       java.lang.String rptSetId,
                                       java.lang.String rptName,
                                       java.lang.String subRptKey,
                                       java.lang.String datasetName,
                                       java.lang.String column,
                                       int index,
                                       int size,
                                       java.util.List result,
                                       java.lang.String displayFormat,
                                       java.util.Locale locale)

  Gets the value list that includes the display values and the real values in the specified dataset.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `datasetName` - data set name.
    `column` - column mapping
    `index` - the beginning index, inclusive.
    `the` - size of we will get values
    `result` - will save result values list, it will be filled by this interface.
    `display` - pattern
    `locale` - locale info
  Returns:
    real value index. -1: is failed if index !=0 but it return 0 That is values has updated if index !=0 but it return value < index that the index outRange.return last some values. Not published.

### getComponentDisplayAndRealValues

    java.util.List getComponentDisplayAndRealValues(java.lang.String sessionId,
                                                    java.lang.String rptSetId,
                                                    java.lang.String rptName,
                                                    java.lang.String subRptKey,
                                                    java.lang.String comName,
                                                    java.lang.String column,
                                                    int index,
                                                    int size,
                                                    java.lang.String displayFormat,
                                                    java.util.Locale locale,
                                                    boolean isCurrent)

  Gets the value list that includes display values and real values in the specified component.
  Can be used to show the column values -- the column values in filter more value dialog, etc.
  And carry out the value page function.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/selectvalues.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `comName` - the component name.
    `column` - the column mapping name.
    `index` - the beginning index, inclusive.
    `size` - the size of values.
    `displayFormat` - the display pattern.
    `locale` - the locale information.
    `isCurrent` - whether they are current or original values.
  Returns:
    the value list.

### getDisplayPattern

    java.lang.String getDisplayPattern(java.lang.String sessionId,
                                       java.lang.String rptSetId,
                                       java.lang.String rptName,
                                       java.lang.String subRptKey,
                                       java.lang.String comName,
                                       java.lang.String column,
                                       boolean isDataSet,
                                       java.util.Locale locale)
                                       throws jet.rptservice.api.exception.JRScheduleException

  Gets the display pattern of the specified column.
  Such as the total in database is 1234567.89, user wants to see 1,234,567.89.
  And the display pattern is defined in the related DBField in the report; or user sets.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `comName` - the dataset name or the component name.
    `column` - the column mapping name.
    `isDataSet` - if comName is dataset name then it is true, otherwise false.
    `locale` - the locale information.
  Returns:
    the display pattern.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getInputPattern

    java.lang.String getInputPattern(java.lang.String sessionId,
                                     java.lang.String rptSetId,
                                     java.lang.String rptName,
                                     java.lang.String subRptKey,
                                     java.lang.String comName,
                                     java.lang.String column,
                                     boolean isDataSet,
                                     java.util.Locale locale)
                                     throws jet.rptservice.api.exception.JRScheduleException

  Gets the input pattern of the specified column.
  Such as the total which user wants to input 1,234,567.89, in database is 1234567.89.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `comName` - the dataset name or the component name.
    `column` - the column mapping name.
    `isDataSet` - if comName is dataset name then it is true, otherwise false.
    `locale` - the locale information.
  Returns:
    the input pattern.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getDisplayValueByReal

    java.lang.String getDisplayValueByReal(java.lang.String sessionId,
                                           java.lang.String rptSetId,
                                           java.lang.String rptName,
                                           java.lang.String subRptKey,
                                           java.lang.String comName,
                                           java.lang.String column,
                                           java.lang.String displayFormat,
                                           java.lang.String realValue,
                                           java.util.Locale locale,
                                           boolean isDataSet)
                                           throws java.text.ParseException,
                                                  jet.rptservice.api.exception.JRScheduleException

  Gets the display value by real value with the specified display pattern.
  Such as the real value is 1234567.89, user wants to see 1,234,567.89.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `comName` - the dataset name or the component name.
    `column` - the column mapping name.
    `displayFormat` - the display pattern.
    `realValue` - the real value.
    `locale` - the locale information.
    `isDataSet` - if comName is dataset name
  Returns:
    the display value.
  Throws:
    `java.text.ParseException`
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getDisplayAndRealValueByInpput

    java.util.Vector getDisplayAndRealValueByInpput(java.lang.String sessionId,
                                                    java.lang.String rptSetId,
                                                    java.lang.String rptName,
                                                    java.lang.String subRptKey,
                                                    java.lang.String comName,
                                                    java.lang.String column,
                                                    java.lang.String displayFormat,
                                                    java.lang.String inputFormat,
                                                    java.lang.String inputValue,
                                                    java.util.Locale locale,
                                                    boolean isDataSet,
                                                    boolean isMulti)
                                                    throws java.text.ParseException,
                                                           jet.rptservice.api.exception.JRScheduleException

  Gets the display value by a string value user input.
  Such as the input value is 1,234,567.89, the real value should be 1234567.89, the display value is $1,234,567.89.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `comName` - the component name.
    `column` - the column mapping name.
    `displayFormat` - the display pattern.
    `inputFormat` - the input pattern.
    `inputValue` - user input value
    `locale` - the locale information.
    `isDataSet` - if comName is dataset name.
    `isMulti` - if the input value is multi-value input, for example "1,5,7"
  Returns:
    a list that includes display and real values. for example {[display0,real0],[display1,real1]...}
  Throws:
    `java.text.ParseException`
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getResetComponents

    java.lang.String[] getResetComponents(java.lang.String rptSetId,
                                          java.lang.String rptName)

  Gets all components' names for reset action.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    all components' names. Includes banded object(s), group panel(s), table(s) in the report.

### getChartDefinition

    chart.ChartDefinition getChartDefinition(java.lang.String sessionId,
                                             java.lang.String rptSetId,
                                             java.lang.String rptName,
                                             java.lang.String subRptKey,
                                             java.lang.String comName)

  Gets the chart definition.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - the component name.
  Returns:
    the chart definition, if the component is not chart, will return null.

### getChartGroupInfo

    java.util.Vector getChartGroupInfo(java.lang.String sessionId,
                                       java.lang.String rptSetId,
                                       java.lang.String rptName,
                                       java.lang.String subRptKey,
                                       java.lang.String comName)

  Gets the chart group information.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - the component name.
  Returns:
    the chart GroupInfo, if the component is not chart, will return null.

### getSortConditions

    java.lang.String[][] getSortConditions(java.lang.String sessionId,
                                           java.lang.String rptSetId,
                                           java.lang.String rptName,
                                           java.lang.String subRptKey,
                                           java.lang.String comName)

  Gets the sort conditions.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - the component name.
  Returns:
    the sort conditions.
    For example [["mappingName1","true"],["mappingName2","false"]]
      The first is the mapping name;
      the second is the order: true is ascending; false is descending.

### getFilterConditions

    java.util.Vector getFilterConditions(java.lang.String sessionId,
                                         java.lang.String rptSetId,
                                         java.lang.String rptName,
                                         java.lang.String subRptKey,
                                         java.lang.String comName,
                                         boolean isDataset)

  Gets the filter conditions. This method should be used with the V9 early version.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - the component name.
    `isDataset` - if comName is dataset name then it is true, otherwise false.
  Returns:
    the filter conditions.
    Vector which contains:
      String columnName = (String)condition.get(1);
      String operate = (String)condition.get(2);
      String logic = (String)condition.get(4);
      Object values = condition.get(3);
      values maybe a string, means the condition is a single value;
      a Vector, means the condition is a multi-value (each value is a string).

### getTopNCompName

    java.lang.String getTopNCompName(java.lang.String dsid,
                                     java.lang.String sessionId,
                                     java.lang.String rptSetId,
                                     java.lang.String rptName)

  Gets the data container name of the specified element.

  Parameters:
    `dsid` - ID of the result object, it can be null.
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the data container name, which will be null if the specified element does not exist. Such as the banded object, group panel, table, or crosstab in the report.

### getTopNType

    int getTopNType(java.lang.String sessionId,
                    java.lang.String rptSetId,
                    java.lang.String rptName,
                    java.lang.String comName)

  Gets the topN type of the specified component.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `comName` - the component name.
  Returns:
      EnumerationConstant.SELECTTYPE_ALL;
      EnumerationConstant.SELECTTYPE_BOTTOMN;
      EnumerationConstant.SELECTTYPE_TOPN.
  See Also:
    `EnumerationConstant`

### getComponentTypeByInstName

    java.lang.String getComponentTypeByInstName(java.lang.String rptSetId,
                                                java.lang.String rptName,
                                                java.lang.String subRptKey,
                                                java.lang.String compName)
                                                throws jet.rptservice.api.exception.JRScheduleException

  Gets the component type string.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `comName` - the component instance name.
  Returns:
      "CrossTab";
      "Chart";
      "NewTable";
      "Table";
      "GroupPanel";
      "GroupHeader";
      "GroupFooter";
      "DetailPanel";
      "SectionObject";
      "PagePanel";
      "TableDetail";
      "SectionPageHeader";
      "SectionPageFooter";
      "TableHeader";
      "TableFooter";
    otherwise: null.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getCrossTabDimensionInstName

    java.lang.String[] getCrossTabDimensionInstName(java.lang.String rptSetId,
                                                    java.lang.String rptName,
                                                    java.lang.String subRptKey,
                                                    java.lang.String comName)
                                                    throws jet.rptservice.api.exception.JRScheduleException

  Gets the crosstab CTHdDbFileld instance name.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `comName` - the component name.
  Returns:
    the crosstab CTHdDbFileld instance name.
    If the component is not a crosstab, or the crosstab has no CTHdDbFileld, return null.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getDetailReportDataSourceNames

    java.lang.String[] getDetailReportDataSourceNames(java.lang.String sessionId,
                                                      java.lang.String rptSetId,
                                                      java.lang.String rptName,
                                                      java.lang.String dsid)

  Gets the data sources' names which are used in the detail report. The report is defined by the "Link" property of the field.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `dsid` - ID of the result object.
  Returns:
    the data sources' names.

### getDisplayNameByInstName

    java.lang.String getDisplayNameByInstName(java.lang.String rptSetId,
                                              java.lang.String rptName,
                                              java.lang.String subRptKey,
                                              java.lang.String compName)
                                              throws jet.rptservice.api.exception.JRScheduleException

  Gets the display name by the instance name.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - the component instance name.
  Returns:
    the display name.
    If the display name is not defined or "", will be instance name.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getLinkPathInfo

    java.util.List getLinkPathInfo(java.lang.String sessionId,
                                   java.lang.String rptSetId,
                                   java.lang.String rptName)

  Gets the report link path information.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the report link path information.

### setDisplayPattern

    void setDisplayPattern(int sqlType,
                           java.lang.String pattern,
                           java.util.Locale locale)

  Sets the display pattern of the specified sql type column.
  Such as the total in database is 1234567.89, but user wants to see 1,234,567.89.
  Then user should setDisplayPattern(SQL_FLOAT, "#,###,###.##", China);

  Parameters:
    `sqlType` - the SQL type which defined in java.sql.Types.
    `pattern` - the display pattern.
    `locale` - the locale information.

### getDisplayPattern

    java.lang.String getDisplayPattern(int sqlType,
                                       java.util.Locale locale)

  Gets the display pattern of the specified sql type column.

  Parameters:
    `sqlType` - the SQL type which defined in java.sql.Types.
    `locale` - the locale information.
  Returns:
    the display pattern.

### setInputPattern

    void setInputPattern(int sqlType,
                         java.lang.String pattern,
                         java.util.Locale locale)

  Sets the input pattern of the specified sql type column.
  Such as the total in database is 1234567.89, but user wants to input 1,234,567.89.
  Then user should setInputPattern(SQL_FLOAT, "#,###,###.##", China);

  Parameters:
    `sqlType` - the SQL type which defined in java.sql.Types.
    `pattern` - the input pattern.
    `locale` - the locale information.

### getInputPattern

    java.lang.String getInputPattern(int sqlType,
                                     java.util.Locale locale)

  Gets the input pattern of the specified sql type column.

  Parameters:
    `sqlType` - the SQL type which defined in java.sql.Types.
    `locale` - the locale information.
  Returns:
    the input pattern.

### setDisplayPattern

    void setDisplayPattern(java.lang.String userName,
                           int sqlType,
                           java.lang.String pattern,
                           java.util.Locale locale)

  Sets the display pattern of the specified sql type column with the specified user.
  Such as the total in database is 1234567.89, but user wants to see 1,234,567.89.
  Then user should setDisplayPattern("admin", SQL_FLOAT, "#,###,###.##", China);

  Parameters:
    `userName` - the user name.
    `sqlType` - the SQL type which defined in java.sql.Types.
    `pattern` - the display pattern.
    `locale` - the locale information.

### getDisplayPattern

    java.lang.String getDisplayPattern(java.lang.String userName,
                                       int sqlType,
                                       java.util.Locale locale)

  Gets the display pattern of the specified sql type column with the specified user.

  Parameters:
    `userName` - the user name.
    `sqlType` - the SQL type which defined in java.sql.Types.
    `locale` - the locale information.
  Returns:
    the display pattern.

### setInputPattern

    void setInputPattern(java.lang.String userName,
                         int sqlType,
                         java.lang.String pattern,
                         java.util.Locale locale)

  Sets the input pattern of the specified sql type column with the specified user.
  Such as the total in database is 1234567.89, but user wants to input 1,234,567.89.
  Then user should setInputPattern("admin", SQL_FLOAT, "#,###,###.##", China);

  Parameters:
    `userName` - the user name.
    `sqlType` - the SQL type which defined in java.sql.Types.
    `pattern` - the input pattern.
    `locale` - the locale information.

### getInputPattern

    java.lang.String getInputPattern(java.lang.String userName,
                                     int sqlType,
                                     java.util.Locale locale)

  Gets the input pattern of the specified sql type column with the specified user.

  Parameters:
    `userName` - the user name.
    `sqlType` - the SQL type which defined in java.sql.Types.
    `locale` - the locale information.
  Returns:
    the input pattern.

### setDisplayPattern

    void setDisplayPattern(java.lang.String sessionId,
                           java.lang.String rptSetId,
                           java.lang.String rptName,
                           java.lang.String subRptKey,
                           java.lang.String component,
                           java.lang.String column,
                           java.lang.String pattern,
                           java.util.Locale locale)
                           throws jet.rptservice.api.exception.JRScheduleException

  Sets the display pattern of the specified column.
  Such as the total in database is 1234567.89, but user wants to see 1,234,567.89.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `component` - the component name.
    `column` - the column mapping name.
    `pattern` - the display pattern.
    `locale` - the locale information.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getDisplayPattern

    java.lang.String getDisplayPattern(java.lang.String sessionId,
                                       java.lang.String rptSetId,
                                       java.lang.String rptName,
                                       java.lang.String subRptKey,
                                       java.lang.String component,
                                       java.lang.String column,
                                       java.util.Locale locale)
                                       throws jet.rptservice.api.exception.JRScheduleException

  Gets the display pattern of the specified column.
  Such as the total in database is 1234567.89, but user wants to see 1,234,567.89.
  And the display pattern is defined in the related DBField in the report; or user sets.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `component` - the component name.
    `column` - the column mapping name.
    `locale` - the locale information.
  Returns:
    the display pattern.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### setInputPattern

    void setInputPattern(java.lang.String sessionId,
                         java.lang.String rptSetId,
                         java.lang.String rptName,
                         java.lang.String subRptKey,
                         java.lang.String component,
                         java.lang.String column,
                         java.lang.String pattern,
                         java.util.Locale locale)
                         throws jet.rptservice.api.exception.JRScheduleException

  Sets the input pattern of the specified column.
  Such as the total in database is 1234567.89, but user wants to input 1,234,567.89.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKeythe` - key of the engine.
    `component` - the component name.
    `column` - the column mapping name.
    `pattern` - the input pattern.
    `locale` - the locale information.
  Throws:
    `jet.rptservice.api.exception.JRScheduleException`

### getInputPattern

    java.lang.String getInputPattern(java.lang.String sessionId,
                                     java.lang.String rptSetId,
                                     java.lang.String rptName,
                                     java.lang.String subRptKey,
                                     java.lang.String component,
                                     java.lang.String column,
                                     java.util.Locale locale)
                                     throws jet.rptservice.api.exception.JRScheduleException

  Gets the input pattern of the specified column.
  Such as the total in database is 1234567.89, but user wants to input 1,234,567.89.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKeythe` - key of the engine.
    `component` - the component name.
    `column` - the column mapping name.
    `locale` - the locale information.
  Returns:
    the input pattern.
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

### getFilterableElement

    java.lang.String getFilterableElement(java.lang.String sessionId,
                                          java.lang.String rptSetId,
                                          java.lang.String rptName,
                                          java.lang.String comName,
                                          java.lang.String bindcolumn,
                                          java.lang.String dsid)

  Gets the filter select with the specified column name.
  The bindcolumn is defined by the "Bind Column" property of the label.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/actionjsp/filterable.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `comName` - the component name.
    `bindcolumn` - the column mapping name.
    `dsid` - ID of the result object.
  Returns:
    HTML select which contains 10 of the column values, clear option, topN option, customized option, and more option.

### getChartDefinitionInfo

    java.util.Map getChartDefinitionInfo(java.lang.String sessionId,
                                         java.lang.String rptSetId,
                                         java.lang.String rptName,
                                         java.lang.String subRptKey,
                                         java.lang.String comName)

  Gets the chart definition information.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - the component name.
  Returns:
    the chart definition information containing "dataSplitSize", "category", "series", "y1Datasets"(value is map), and "y2Datasets"(value is map).
    If the component is not chart, returns the blank map.

### getDataSetName

    java.lang.String getDataSetName(java.lang.String sessionId,
                                    java.lang.String rptSetId,
                                    java.lang.String rptName,
                                    java.lang.String subRptKey,
                                    java.lang.String comName)
                                    throws java.lang.Exception

  Gets the dataset's name of the specified component.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - the component name.
  Returns:
    the dataset's name.
  Throws:
    `Exception.`
    `java.lang.Exception`

### getAllAvailableBLColNamesForRsd

    java.lang.String[] getAllAvailableBLColNamesForRsd(java.lang.String RptSetId,
                                                       java.lang.String RptName,
                                                       java.lang.String engineKey,
                                                       java.lang.String dataSetName)
                                                       throws java.lang.Exception

  Gets all available BLColumns' names when running DHTML result.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `engineKey` - the key of the engine.
    `dataSetName` - the dataSet name.
  Returns:
    all available BLColumns' names.
  Throws:
    `Exception.`
    `java.lang.Exception`

### getDrillFilter

    java.util.Vector<jet.web.dhtml.DHTMLDrillFilterInfo> getDrillFilter(java.lang.String RptSetId,
                                                                        java.lang.String RptName,
                                                                        java.lang.String subRptKey,
                                                                        java.lang.String comName)
                                                                        throws jet.rptservice.api.exception.JRScheduleException

  Gets the component's drill filter.

  Parameters:
    `RptSetId` - the report set id.
    `RptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - the component name.
  Returns:
    Vector<@see jet.web.dhtml.DHTMLDrillFilterInfo>
  Throws:
    `JRScheduleException.`
    `jet.rptservice.api.exception.JRScheduleException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD